=== debian/changelog ===
cgi-scripts (1.0.1-2) unstable; urgency=LOW

  * Call apachechkperms if it exists to ensure permissions are okay.

 -- Yves Arrouye <Yves.Arrouye@marin.fdn.fr>  Thu, 3 Oct 1996 01:24:48 +0200

cgi-scripts (1.0.1-1) unstable; urgency=LOW

  * Installation in /usr/lib/httpd/cgi-bin.
  * Removed scripts from HylaFAX.
  * Removed a.out scripts, including htimage (!) which must be
      replaced by imagemap.

 -- Yves Arrouye <Yves.Arrouye@marin.fdn.fr>  Wed, 25 Sep 1996 00:52:24 +0200

cgi-scripts (1.0-1) non-free; urgency=LOW

  * Creation of this package from the apache package.

 -- Yves Arrouye <arrouye@marin.sevy.fr>  Mon, 9 Sep 1996 11:51:09 +0200

Local Variables:
mode: dpkg-changelog
End:
