=== debian/control ===
Source: cgi-scripts
Section: net
Priority: optional
Maintainer: Yves Arrouye <arrouye@debian.org>
Standards-Version: 2.1.0.0

Package: cgi-scripts
Architecture: any
Depends: ${shlibs:Depends}
Suggests: perl
Description: useful Common Gateway Interface scripts for HTTP servers
 This package contains some commonly CGI scripts that make life easier to
 the administrator of a Web site (handling of image maps, filters for
 documents like manual pages, etc.).
 .
 At the moment, it is better to install this package after having
 installed the Apache package than before.  The installation order
 does not matter for the CERN server package.
