## cgi-scripts 1.0.2

=== debian/changelog ===
cgi-scripts (1.0.2) unstable; urgency=low

  * Fixed permissions on cgi-bin directory and copied files (Bug #5233).
  * Updated to Standards-Version 2.1.2.2 with debmake 2.56.
  * Moved from section "net" to new section, "web".

 -- Johnie Ingram <johnie@debian.org>  Sun, 19 Jan 1997 23:15:22 -0500
