=== debian/control ===
Source: cgi-scripts
Section: web
Priority: optional
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.1.2.2

Package: cgi-scripts
Architecture: any
Depends: ${shlibs:Depends}
Suggests: perl
Description: Useful Common Gateway Interface scripts for HTTP servers
 Contains some commonly-used CGI scripts that make life easier for
 the administrator of a Web site (handling of image maps, filters for
 documents like manual pages, etc.).
 .
 At the moment, it is better to install this package after having
 installed the Apache package than before.  The installation order
 does not matter for the CERN server package.
