=== cgi-src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #CC= cc
 
 #For Optimization
-CFLAGS= -O2
+CFLAGS= -O2 -s
 
 RM= /bin/rm -f
 #--- You shouldn't have to edit anything else. ---
