=== debian/changelog ===
cgi-scripts (1.0.3) stable unstable; urgency=low

  * Updated to Standards-Version: 2.1.3.3 and debmake 3.3.5.
  * Corrected location of installed CGI binaries to comply with policy
    (#8356).
  * Added set -e to post-removal script.
  * Linked against libc5, for stable distribution.
  
 -- Johnie Ingram <johnie@debian.org>  Tue, 15 Jul 1997 00:30:37 -0400
