=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Johnie Ingram <johnie@debian.org>
-Standards-Version: 2.1.2.2
+Standards-Version: 2.1.3.3
 
 Package: cgi-scripts
 Architecture: any
