=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,27 @@
 # paternity under the Copyright, Designs and Patents Act 1988.)
 # This file may have to be extensively modified
 #
-# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
+# Modified to be a prototype for debmake by Christoph Lameter
+# <clameter@debian.org>.
 
 package=cgi-scripts
 
+ifeq ($(shell dpkg --print-architecture),i386)
+HACK=-b i486-linuxlibc1 -L/usr/lib/libc5-compat -I ../debian
+endif
+
 build:
 	$(checkdir)
-	cd cgi-src; make
+	cd cgi-src; $(MAKE) CC="gcc $(HACK)"
 	touch build
 
 clean:
 	$(checkdir)
-	-cd cgi-src; make distclean
-	-rm -f build $$(find . -name "*~")
-	-rm -rf debian/tmp debian/files* core debian/substvars
+	-cd cgi-src; $(MAKE) distclean
+	rm -rf build $$(find . -name "*~") $$(find debian/* -type d)
+	rm -rf debian/files* core debian/*substvars*
+	find .. -name $(package)*dsc.asc -size 0 -maxdepth 1 -exec rm {} ";"
+	chmod 755 debian/{cgiscriptsconfig,postinst*,postrm}
 
 binary-indep:	checkroot build
 	$(checkdir)
@@ -32,13 +39,14 @@
 	$(checkdir)
 	-rm -rf debian/tmp && install -d debian/tmp
 	cd debian/tmp && install -d $$(cat ../dirs)
-	install debian/cgiscriptsconfig debian/tmp/usr/sbin
-	install cgi-bin/* debian/tmp/usr/lib/httpd/cgi-bin
-	debstd $(package) README
+#	install debian/cgiscriptsconfig debian/tmp/usr/sbin
+	install cgi-bin/* debian/tmp/usr/lib/cgi-bin
+	debstd -m README
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..
+
 
 define checkdir
 	test -f debian/rules
