## cgi-scripts 1.0.9

=== debian/changelog ===
cgi-scripts (1.0.9) frozen unstable; urgency=high

  * Added set -f to test-cgi (fixes critical Bug #24388).

 -- Johnie Ingram <johnie@debian.org>  Fri, 17 Jul 1998 11:25:47 -0400

cgi-scripts (1.0.8) frozen unstable; urgency=low

  * Added conflict with ncsa (<= 1.4.2-6) recommended by Richard
    Braakman, to resolve bo->hamm file overlap.
  * Converted from debmake to debhelper packaging technology.
  * Fixed all lintian errors.

 -- Johnie Ingram <johnie@debian.org>  Wed,  6 May 1998 02:22:18 -0400

cgi-scripts (1.0.7) unstable; urgency=low, closes=14178

  * Closes #14178, as the non-FHS compliant count.c is no longer included.
  * Tweaked copyright file yet more.

 -- Johnie Ingram <johnie@debian.org>  Tue, 10 Feb 1998 00:49:05 -0500

cgi-scripts (1.0.6) unstable; urgency=low, closes=14194 14195 16027 14051 14178

  * Removed scripts which have copyright problems (#16027) and lack
    documention (#14051); remaining binaries are public domain.
  * Removed obsolete libc5 hack (#14194); compiles with libc6 (#14195).
  * Added SHELL=/bin/bash to rules file.
  * Updated to Standards-Version 2.4.0.0.
  
 -- Johnie Ingram <johnie@debian.org>  Thu,  5 Feb 1998 11:57:04 -0500

cgi-scripts (1.0.5) unstable; urgency=low

  * Linked with libc6.

 -- Johnie Ingram <johnie@debian.org>  Wed, 10 Dec 1997 10:47:03 -0500

cgi-scripts (1.0.4) unstable; urgency=low

  * Closed #12267, since it has been decided that the ncsa package should
    remove the conflicting file.
  * Tweaked packaging for multi-architecture, multi-compiler support.
  * Updated to Standards-Version 2.2.0.0 and debmake 3.3.12.
  * Ported to libc6.

 -- Johnie Ingram <johnie@debian.org>  Sun, 31 Aug 1997 06:46:12 -0400
