=== debian/control ===
Source: cgi-scripts
Section: web
Priority: optional
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.4.1.0

Package: cgi-scripts
Architecture: any
Depends: ${shlibs:Depends}
Suggests: perl, tclsh
Conflicts: ncsa (<= 1.4.2-6)
Description: Useful Common Gateway Interface scripts
 Contains some commonly-used CGI scripts that make life easier for
 the administrator of a Web site (handling of image maps, the "date",
 "fortune" , and "finger" scripts, etc.).
