=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# Sample debian.rules file - for GNU Hello (1.3).
+# Sample debian.rules -*- makefile -*- for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # I hereby give you perpetual unlimited permission to copy,
 # modify and relicense this file, provided that you do not remove
@@ -12,22 +12,26 @@
 
 package=cgi-scripts
 
-ifeq ($(shell dpkg --print-architecture),i386)
-HACK=-b i486-linuxlibc1 -L/usr/lib/libc5-compat -I ../debian
-endif
+CC=cc
+SHELL=/bin/bash
+
 
 build:
 	$(checkdir)
-	cd cgi-src; $(MAKE) CC="gcc $(HACK)"
+	rm -rf debian/cgi-src && cp -a cgi-src debian/cgi-src
+	cd cgi-src; $(MAKE) CC="$(CC)" CFLAGS="-O2 -s $(HACK)"
+	rm -f cgi-bin/{jj,phf,post-query,query}
 	touch build
+
 
 clean:
 	$(checkdir)
-	-cd cgi-src; $(MAKE) distclean
+	cd cgi-src; $(MAKE) clean
 	rm -rf build $$(find . -name "*~") $$(find debian/* -type d)
 	rm -rf debian/files* core debian/*substvars*
-	find .. -name $(package)*dsc.asc -size 0 -maxdepth 1 -exec rm {} ";"
-	chmod 755 debian/{cgiscriptsconfig,postinst*,postrm}
+	find .. -name $(package)*.asc -size 0 -maxdepth 1 -exec rm {} ";"
+	chmod 755 debian/postrm
+
 
 binary-indep:	checkroot build
 	$(checkdir)
@@ -35,14 +39,25 @@
 # generated by this package.  If there were any they would be
 # made here.
 
+
 binary-arch:	checkroot build
 	$(checkdir)
-	-rm -rf debian/tmp && install -d debian/tmp
+	rm -rf debian/tmp && install -d debian/tmp
 	cd debian/tmp && install -d $$(cat ../dirs)
-#	install debian/cgiscriptsconfig debian/tmp/usr/sbin
+	dh_installdirs
+	dh_installdocs
+	dh_installchangelogs
 	install cgi-bin/* debian/tmp/usr/lib/cgi-bin
-	debstd -m README
-	dpkg-gencontrol
+	mv debian/tmp/usr/lib/cgi-bin/test-cgi.tcl \
+		debian/tmp/usr/doc/$(package)/src
+	chmod 644 debian/tmp/usr/doc/$(package)/src/test-cgi.tcl
+	cp -a debian/cgi-src/* debian/tmp/usr/doc/$(package)/src
+	dh_compress
+	dh_installdeb
+	dh_shlibdeps
+	dh_strip -v
+	dh_gencontrol
+	dh_md5sums
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..
